NodeRings Docs

Update Virtual Machine Smtp Outbound Policy

PUT
/v1/provider/network/smtp-outbound-policies/{virtualMachineId}
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

virtualMachineIdstring
action?string
Default"SMTP_OUTBOUND_VM_ACTION_UNSPECIFIED"
Value in"SMTP_OUTBOUND_VM_ACTION_UNSPECIFIED" | "SMTP_OUTBOUND_VM_ACTION_INHERIT" | "SMTP_OUTBOUND_VM_ACTION_ALLOW" | "SMTP_OUTBOUND_VM_ACTION_BLOCK"

Response Body

application/json

curl -X PUT "https://api.nrings.io/v1/provider/network/smtp-outbound-policies/{virtualMachineId}" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "action": "SMTP_OUTBOUND_VM_ACTION_UNSPECIFIED"}'
{
  "virtualMachineId": "string",
  "hostname": "string",
  "action": "SMTP_OUTBOUND_VM_ACTION_UNSPECIFIED",
  "effectiveBlocked": true,
  "clientOrganizationId": "string",
  "clientOwnerUserId": "string",
  "clientContactEmail": "string",
  "ipv4": "string",
  "ipv6": "string"
}